QGIS Application - Feature request #3474
Add supporting any field for Singleparts to multipart tool
2011-02-06 08:41 AM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: worksforme
Easy fix?: Copied to github as #: 13534
Description

Vector -> Geometry Tools -> Singleparts to multipart. It would be useful choose not one Unique field, but any of fields of vector layer
(checkbox logic).

History

#1 - 2011-10-27 11:50 AM - Alexander Bruy
- Category changed from Vectors to 44
- Pull Request or Patch supplied set to No

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-11-19 07:58 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

| don't know what you mean by "but any of fields of vector layer".

In the Processing tool "Singleparts to multipart" you can choose any field to act as the unique ID field (field to merge two features together). | don't know if
you would like to merge features together when more than one fields are equals ? Could give me an example of what you would like to do ?

#6 - 2015-12-22 05:22 AM - Médéric RIBREUX
- Status changed from Feedback to Closed

- Resolution set to worksforme

Hello, bug triage...

| am closing this feature request for lack of feedback and because Processing tool can do what is described...

#7 - 2017-05-01 01:23 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
